org.apache.pdfbox.pdmodel.graphics.color

## Class PDOutputIntent

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.color.PDOutputIntent

All Implemented Interfaces:
  COSObjectable

    public final class PDOutputIntent
    extends Object
    implements COSObjectable

An Output Intent describes the colour reproduction characteristics of a possible output device or production condition. Output intents provide a means for matching the colour characteristics of a PDF document with those of a target output device or production environment in which the document will be printed.

Author:
  Guillaume Bailleul

### Constructor Summary

Constructors
Constructor and Description
`PDOutputIntent(COSDictionary dictionary)`
`PDOutputIntent(PDDocument doc, InputStream colorProfile)` Create an output intent of GTS_PDFA1 subtype.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.
`COSStream` `getDestOutputIntent()`
`String` `getInfo()`
`String` `getOutputCondition()`
`String` `getOutputConditionIdentifier()`
`String` `getRegistryName()`
`void` `setInfo(String value)`
`void` `setOutputCondition(String value)`
`void` `setOutputConditionIdentifier(String value)`
`void` `setRegistryName(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDOutputIntent

    public PDOutputIntent(PDDocument doc,
                          InputStream colorProfile)
                   throws IOException

Create an output intent of GTS_PDFA1 subtype.

Parameters:
  `doc` - The document.
  `colorProfile` - the ICC color profile input stream. You can close it after construction.
Throws:
  `IOException` - If an I/O error occurs while reading the stream.
  `IllegalArgumentException` - If the stream does not contain valid ICC Profile data.

#### PDOutputIntent

    public PDOutputIntent(COSDictionary dictionary)

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Description copied from interface: `COSObjectable`
Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### getDestOutputIntent

    public COSStream getDestOutputIntent()

#### getInfo

    public String getInfo()

#### setInfo

    public void setInfo(String value)

#### getOutputCondition

    public String getOutputCondition()

#### setOutputCondition

    public void setOutputCondition(String value)

#### getOutputConditionIdentifier

    public String getOutputConditionIdentifier()

#### setOutputConditionIdentifier

    public void setOutputConditionIdentifier(String value)

#### getRegistryName

    public String getRegistryName()

#### setRegistryName

    public void setRegistryName(String value)